[arch-commits] Commit in texlive-music/repos (4 files)
Rémy Oudompheng
remy at nymeria.archlinux.org
Tue Jul 2 21:55:55 UTC 2013
Date: Tuesday, July 2, 2013 @ 23:55:54
Author: remy
Revision: 189318
archrelease: copy trunk to testing-any
Added:
texlive-music/repos/testing-any/
texlive-music/repos/testing-any/PKGBUILD
(from rev 189317, texlive-music/trunk/PKGBUILD)
texlive-music/repos/testing-any/texlive-music.maps
(from rev 189317, texlive-music/trunk/texlive-music.maps)
texlive-music/repos/testing-any/texlive.install
(from rev 189317, texlive-music/trunk/texlive.install)
--------------------+
PKGBUILD | 51 ++++++++++++++++++++++++++++++++++++++++++++++++++
texlive-music.maps | 1
texlive.install | 52 +++++++++++++++++++++++++++++++++++++++++++++++++++
3 files changed, 104 insertions(+)
Copied: texlive-music/repos/testing-any/PKGBUILD (from rev 189317, texlive-music/trunk/PKGBUILD)
===================================================================
--- testing-any/PKGBUILD (rev 0)
+++ testing-any/PKGBUILD 2013-07-02 21:55:54 UTC (rev 189318)
@@ -0,0 +1,51 @@
+# Maintainer: Firmicus <firmicus āt gmx dōt net>
+# Maintainer: Rémy Oudompheng <remy at archlinux.org>
+
+pkgname=texlive-music
+pkgver=2013.30005
+_revnr=${pkgver#2013.}
+pkgrel=1
+pkgdesc="TeX Live - Music typesetting packages"
+license=('GPL')
+arch=(any)
+depends=('texlive-core')
+groups=('texlive-most')
+url='http://tug.org/texlive/'
+source=("ftp://ftp.archlinux.org/other/texlive/$pkgname-$pkgver-src.zip" "$pkgname.maps")
+options=('!emptydirs')
+options=(!strip)
+install=texlive.install
+md5sums=('5259af448b333481c3e58a159eb5ef58'
+ '6af96d016e18492867d6f4ba2eff0a31')
+
+build() {
+ for p in *.tar.xz; do
+ bsdtar -xf $p
+ done
+ rm -rf {tlpkg,doc,source} || true
+}
+package() {
+ install -m755 -d $pkgdir/var/lib/texmf/arch/installedpkgs
+ sed -i '/^#/d' CONTENTS
+ install -m644 CONTENTS $pkgdir/var/lib/texmf/arch/installedpkgs/${pkgname}_${_revnr}.pkgs
+ install -m644 $pkgname.maps $pkgdir/var/lib/texmf/arch/installedpkgs/
+ install -m755 -d $pkgdir/usr/share
+ wanteddirs=$(for d in *; do test -d $d && [[ $d != texmf* ]] && echo $d; done) || true
+ for dir in $wanteddirs; do
+ find $dir -type d -exec install -d -m755 $pkgdir/usr/share/texmf-dist/'{}' \;
+ find $dir -type f -exec install -m644 '{}' $pkgdir/usr/share/texmf-dist/'{}' \;
+ done
+ if [[ -d texmf-dist ]]; then
+ find texmf-dist -type d -exec install -d -m755 $pkgdir/usr/share/'{}' \;
+ find texmf-dist -type f -exec install -m644 '{}' $pkgdir/usr/share/'{}' \;
+ fi
+ if [[ -d $pkgdir/usr/share/texmf-dist/scripts ]]; then
+ find $pkgdir/usr/share/texmf-dist/scripts -type f -exec chmod a+x '{}' \;
+ fi
+ # script symlinks
+ install -m755 -d $pkgdir/usr/bin
+ ln -s /usr/share/texmf-dist/scripts/m-tx/m-tx.lua $pkgdir/usr/bin/m-tx
+ ln -s /usr/share/texmf-dist/scripts/musixtex/musixflx.lua $pkgdir/usr/bin/musixflx
+ ln -s /usr/share/texmf-dist/scripts/musixtex/musixtex.lua $pkgdir/usr/bin/musixtex
+ ln -s /usr/share/texmf-dist/scripts/pmx/pmx2pdf.lua $pkgdir/usr/bin/pmx2pdf
+}
Copied: texlive-music/repos/testing-any/texlive-music.maps (from rev 189317, texlive-music/trunk/texlive-music.maps)
===================================================================
--- testing-any/texlive-music.maps (rev 0)
+++ testing-any/texlive-music.maps 2013-07-02 21:55:54 UTC (rev 189318)
@@ -0,0 +1 @@
+MixedMap musix.map
Copied: texlive-music/repos/testing-any/texlive.install (from rev 189317, texlive-music/trunk/texlive.install)
===================================================================
--- testing-any/texlive.install (rev 0)
+++ testing-any/texlive.install 2013-07-02 21:55:54 UTC (rev 189318)
@@ -0,0 +1,52 @@
+PKGNAME="texlive-music"
+UPDMAP="etc/texmf/web2c/updmap.cfg"
+UPDMAPLOCAL="etc/texmf/web2c/updmap-local.cfg"
+SYNCWITHTREES=''
+
+MAPFILE="var/lib/texmf/arch/installedpkgs/$PKGNAME.maps"
+
+post_install() {
+ TMPFILE=`mktemp`
+ echo ">>> texlive: saving updmap.cfg as $TMPFILE..."
+ cp "$UPDMAP" "$TMPFILE"
+ echo ">>> texlive: regenerating updmap.cfg (custom additions should go"
+ echo " into /etc/texmf/web2c/updmap-local.cfg"
+ cp usr/share/texmf-dist/web2c/updmap-hdr.cfg $UPDMAP
+ cat var/lib/texmf/arch/installedpkgs/*.maps >> $UPDMAP
+ [ -f "$UPDMAPLOCAL" ] && cat "$UPDMAPLOCAL" >> $UPDMAP
+ echo ">>> texlive: updating the filename database..."
+ usr/bin/mktexlsr
+ echo ">>> texlive: updating the fontmap files with updmap..."
+ usr/bin/updmap-sys --quiet --nohash
+ echo " done."
+}
+
+post_upgrade() {
+ TMPFILE=`mktemp`
+ echo ">>> texlive: saving updmap.cfg as $TMPFILE..."
+ cp "$UPDMAP" "$TMPFILE"
+ echo ">>> texlive: regenerating updmap.cfg (custom additions should go"
+ echo " into /etc/texmf/web2c/updmap-local.cfg"
+ cp usr/share/texmf-dist/web2c/updmap-hdr.cfg $UPDMAP
+ cat var/lib/texmf/arch/installedpkgs/*.maps >> $UPDMAP
+ [ -f "$UPDMAPLOCAL" ] && cat "$UPDMAPLOCAL" >> $UPDMAP
+ echo ">>> texlive: updating the filename database..."
+ usr/bin/mktexlsr
+ echo ">>> texlive: updating the fontmap files with updmap..."
+ usr/bin/updmap-sys --quiet --nohash $SYNCWITHTREES
+ echo " done."
+}
+
+pre_remove() {
+for m in `cut -d' ' -f2 $MAPFILE`; do
+ sed -i "/\s$m/d" $UPDMAP ;
+done
+}
+
+post_remove() {
+ echo ">>> texlive: updating the filename database..."
+ usr/bin/mktexlsr
+ echo ">>> texlive: updating the fontmap files with updmap..."
+ usr/bin/updmap-sys --quiet --nohash
+ echo " done."
+}
More information about the arch-commits
mailing list